summaryrefslogtreecommitdiff
path: root/src/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/deploy.sh')
-rwxr-xr-xsrc/deploy.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/src/deploy.sh b/src/deploy.sh
new file mode 100755
index 0000000..1c7c2f8
--- /dev/null
+++ b/src/deploy.sh
@@ -0,0 +1,54 @@
+#!/bin/sh
+#
+# flufigut
+#
+# flufigut, the flumotion configuration utility, is a simple tool
+# that generates flumotion configuration files using pyhton jinja2
+# template engine and simplejson. flufigut generates planet.xml
+# and worker.xml files from configuration templates and an easy to
+# understand representation of the flow structure written in json.
+#
+#
+# Copyright (C) 2012 Christian Pointner <equinox@spreadspace.org>
+# Michael Gebetsroither <michael@mgeb.org>
+#
+# This file is part of flufigut.
+#
+# flufigut is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# any later version.
+#
+# flufigut is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with flufigut. If not, see <http://www.gnu.org/licenses/>.
+#
+
+#
+# Initialization:
+# - generate ssh key:
+# $ ssh-keygen -f id_rsa
+# - configure ssh.config
+
+OUTPUT_DIR="output/"
+SSH_KEY="../id_rsa"
+SSH_CONFIG="../ssh.config"
+
+set -e
+
+cd $OUTPUT_DIR
+for machine in *; do
+ if [ -d "$machine" ]; then
+ echo -n "copying files to $machine ... "
+ tar -czf "$machine.tar.gz" "$machine"/*
+ scp -i "$SSH_KEY" -F "$SSH_CONFIG" "$machine.tar.gz" "$machine":/tmp
+ ssh -i "$SSH_KEY" -F "$SSH_CONFIG" "$machine" install
+ echo "done."
+ fi
+done
+
+exit 0